XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
xcb_xkb_get_kbd_by_name_replies_t::_server_symbols Struct Reference
Collaboration diagram for xcb_xkb_get_kbd_by_name_replies_t::_server_symbols:
[legend]

## Data Fields

uint8_t | serverDeviceID
uint8_t | pad0 [2]
xcb_keycode_t | serverMinKeyCode
xcb_keycode_t | serverMaxKeyCode
uint16_t | present
uint8_t | firstType
uint8_t | nTypes
uint8_t | totalTypes
xcb_keycode_t | firstKeySym
uint16_t | totalSyms
uint8_t | nKeySyms
xcb_keycode_t | firstKeyAction
uint16_t | totalActions
uint8_t | nKeyActions
xcb_keycode_t | firstKeyBehavior
uint8_t | nKeyBehaviors
uint8_t | totalKeyBehaviors
xcb_keycode_t | firstKeyExplicit
uint8_t | nKeyExplicit
uint8_t | totalKeyExplicit
xcb_keycode_t | firstModMapKey
uint8_t | nModMapKeys
uint8_t | totalModMapKeys
xcb_keycode_t | firstVModMapKey
uint8_t | nVModMapKeys
uint8_t | totalVModMapKeys
uint8_t | pad1
uint16_t | virtualMods
xcb_xkb_get_kbd_by_name_replies_server_symbols_map_t | map

The documentation for this struct was generated from the following file:

- xkb.h